#mobile-drawer {
  position: fixed;
  min-height: 100vh;
  max-height: 100vh;
  overflow-y: auto;
  width: 100vw;
  top: 0;
  left: 101vw;
  z-index: 10000;
  opacity: 0;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex !important;
  justify-content: end;
}

#mobile-drawer,
#mobile-drawer * {
  transition: all 0.4s ease-in-out;
  color: white;
}

#mobile-drawer.show {
  left: 0;
  opacity: 1;
}

#mobile-drawer .mobile-drawer-container {
  width: 90vw;
  height: fit-content;
  background: linear-gradient(90deg, rgba(1, 57, 87, 1) 25%, rgba(91, 192, 222, 1) 200%);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  box-shadow: -10px 0 30px black;
}

#mobile-drawer .mobile-drawer-section {
  padding: 12px;
  border-bottom: 1px solid var(--julio-secondary);
}

#mobile-drawer .mobile-drawer-section .mobile-drawer-title {
  font-size: 18px;
  font-weight: bold;
  margin: 16px 0;
  display: flex;
  align-items: center;
  gap: 12px;
}

#mobile-drawer .mobile-drawer-section .mobile-drawer-title i {
  font-size: 32px;
}

#mobile-drawer .mobile-drawer-section .mobile-drawer-subitem {
  font-size: 16px;
  padding: 16px;
}